<?php

declare(strict_types=1);

namespace Drupal\message_notifications\Plugin\Block;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Block\Attribute\Block;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\message_notifications\Controller\NotificationController;

/**
 * Provides a course navigation block.
 *
 * @todo Drop the legacy themes in favor of new, simple ones.
 */
#[Block(
  id: 'message_notification_block',
  admin_label: new TranslatableMarkup('Notifications dropdown block'),
)]
final class NotificationBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  protected function blockAccess(AccountInterface $account) {
    return AccessResult::allowedIf(!$account->isAnonymous())->cachePerUser();
  }

  /**
   * {@inheritdoc}
   */
  public function build() {    
    return NotificationController::getRenderable();
  }

}
